Summary:	An Eudora and NUPOP change password server
Name:		poppassd-ceti
Version:	1.8.5
Release:	%mkrel 17
Group:		Networking/Remote access
License:	Distributable
URL:		https://echelon.pl/pubs/poppassd.html
Source0:	https://echelon.pl/pubs/poppassd-%{version}.tar.bz2
Source1:	poppassd.pam.bz2
Source2:	poppassd.xinetd.bz2
Patch2:		poppassd-buildroot.patch
Patch3:		poppassd-ceti-1.8-uid500.patch
Patch4:		poppassd-1.8.5-cflags.patch
Patch5:		poppassd-fix-build-with-gcc15.patch
Provides:	poppassd = %{version}-%{release}
Requires:	net-tools
Requires:	pam
Requires:	tcp_wrappers
BuildRequires:	pam-devel

%description
Poppassd is a daemon allowing users to change their password via Eudora 
or NUPOP using a network protocol on port 106. This package uses PAM.

Original version based on John Norstad's poppassd code. John
Norstad's program ran the regular unix "passwd" command. This version
calls PAM to change the password.

(See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code).

[Note, to log poppassd password changes, add the following line:

	local4.err 	-/var/log/poppassd.log

to your /etc/syslog.conf file.]

%prep

%autosetup -p1 -n poppassd-%{version}

%build
%set_build_flags
%make_build

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_sysconfdir}/xinetd.d

make BINDIR=%{buildroot}%{_sbindir} install

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/pam.d/poppassd
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/xinetd.d/poppassd
chmod 644 README

# fix debug info extraction
chmod u+w %{buildroot}%{_sbindir}/poppassd

%files
%doc README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/poppassd
%attr(0700,root,root) %{_sbindir}/poppassd


%changelog
* Mon May 26 2025 ns80 <ns80> 1.8.5-17.mga10
+ Revision: 2186450
- try to fix building with GCC 15

* Mon Dec 23 2024 daviddavid <daviddavid> 1.8.5-15.mga10
+ Revision: 2129483
- fix debug info extraction by fixing file permissions

* Sun Mar 27 2022 umeabot <umeabot> 1.8.5-14.mga9
+ Revision: 1829234
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.8.5-13.mga8
+ Revision: 1516127
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.8.5-12.mga7
+ Revision: 1300343
- Mageia 7 Mass Rebuild

* Mon Sep 18 2017 cjw <cjw> 1.8.5-11.mga7
+ Revision: 1155140
- patch4: use user cflags in makefile (to fix debug packages)

* Sat Feb 06 2016 umeabot <umeabot> 1.8.5-10.mga6
+ Revision: 940461
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-9.mga5
+ Revision: 747564
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-8.mga5
+ Revision: 687719
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1.8.5-7.mga5
+ Revision: 673881
- remove mistakenly added requires on hostname (not used by this package)

* Tue Sep 09 2014 spuhler <spuhler> 1.8.5-6.mga5
+ Revision: 673871
- added Requires: hostname
  * we moved the files from net-tools

* Fri Oct 18 2013 umeabot <umeabot> 1.8.5-5.mga4
+ Revision: 517607
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8.5-4.mga3
+ Revision: 378048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 1.8.5-3.mga2
+ Revision: 204529
- re-diff patches
- clean spec
- imported package poppassd-ceti


* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8.5-3mdv2009.0
+ Revision: 239029
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.8.5-2mdv2008.0
+ Revision: 70395
- use %%mkrel


* Wed Feb 16 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8.5-1mdk
- Release 1.8.5.
- Removed Patch4 (ansi), merged upstream.

* Wed Nov 12 2003 Michael Scherer <scherer.michael@free.fr> 1.8.4-2mdk 
- BuildRequires ( pam-devel )

* Wed Aug 20 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8.4-1mdk
- Release 1.8.4.
- Added Patch for using ANSI varargs.

* Thu Feb 20 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8.3-1mdk
- Release 1.8.3.
- Removed Patch0, Patch1.

* Sun Mar 10 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8-3mdk
- rebuilt.
- updated source URL.
- minimal UID allowed to change passwd changed from 100 to 500
  (originally from Oliver Schulze <oliver@samera.com.py>).

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8-2mdk
- fix require.

* Mon Sep 03 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.8-1mdk
- initial release.

